Page MenuHomePhabricator

undo/redo is slow on large documents
Closed, ResolvedPublic

Description

  1. Open a large doc (>100k)
  2. Hold down a key to type lots of chars quickly (~100).
  3. Press undo

We appear to be trying to render the cursor after each transaction in the undo stack is committed. This should be debounced.

Event Timeline

Esanders created this task.Aug 31 2020, 3:54 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 31 2020, 3:54 PM

Change 623411 had a related patch set uploaded (by Esanders; owner: Esanders):
[VisualEditor/VisualEditor@master] ve.ce.Surface: Debounce onModelDocumentUpdate

https://gerrit.wikimedia.org/r/623411

Esanders moved this task from To Triage to Triaged on the VisualEditor board.Aug 31 2020, 4:27 PM
Esanders claimed this task.Sep 2 2020, 4:23 PM

Change 623411 merged by jenkins-bot:
[VisualEditor/VisualEditor@master] ve.ce.Surface: Debounce onModelDocumentUpdate

https://gerrit.wikimedia.org/r/623411

Change 623875 had a related patch set uploaded (by Bartosz Dziewoński; owner: Bartosz Dziewoński):
[mediawiki/extensions/VisualEditor@master] Update VE core submodule to master (b49db9a5b)

https://gerrit.wikimedia.org/r/623875

Change 623875 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] Update VE core submodule to master (9534694b4)

https://gerrit.wikimedia.org/r/623875

ppelberg closed this task as Resolved.Sep 5 2020, 12:26 AM
Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptSep 5 2020, 12:26 AM
Esanders reopened this task as Open.Sep 23 2020, 8:04 PM

Patch was reverted due to T263607

Change 629471 had a related patch set uploaded (by Esanders; owner: Esanders):
[VisualEditor/VisualEditor@master] Follow-up I78041b9b4: Debounce just showModelSelection

https://gerrit.wikimedia.org/r/629471

ppelberg closed this task as Resolved.Sep 25 2020, 2:13 AM